*** ./port/porting_junk.h.00	Wed Sep 25 11:16:24 2002
--- ./port/porting_junk.h	Sat Dec  9 13:46:59 2006
***************
*** 1,7 ****
  #ifndef VSF_PORTINGJUNK_H
  #define VSF_PORTINGJUNK_H
  
! #ifdef __sun
  #include "solaris_bogons.h"
  #endif
  
--- 1,7 ----
  #ifndef VSF_PORTINGJUNK_H
  #define VSF_PORTINGJUNK_H
  
! #if defined(__sun) || defined(__USLC__)
  #include "solaris_bogons.h"
  #endif
  
*** ./Makefile.00	Mon Jul  3 05:25:41 2006
--- ./Makefile	Sat Dec  9 18:22:54 2006
***************
*** 1,12 ****
  # Makefile for systems with GNU tools
! CC 	=	gcc
  INSTALL	=	install
! IFLAGS  = -idirafter dummyinc
  #CFLAGS = -g
! CFLAGS	=	-O2 -Wall -W -Wshadow #-pedantic -Werror -Wconversion
! 
! LIBS	=	`./vsf_findlibs.sh`
! LINK	=	-Wl,-s
  
  OBJS	=	main.o utility.o prelogin.o ftpcmdio.o postlogin.o privsock.o \
  		tunables.o ftpdataio.o secbuf.o ls.o \
--- 1,17 ----
  # Makefile for systems with GNU tools
! CC 	=	cc
  INSTALL	=	install
! #IFLAGS  = -idirafter dummyinc
! IFLAGS  = -I/usr/include -Idummyinc
  #CFLAGS = -g
! #CFLAGS	=	-O2 -Wall -W -Wshadow #-pedantic -Werror -Wconversion
! CFLAGS	=	-O2
! DESTDIR =
! 
! #LIBS	=	`./vsf_findlibs.sh`
! LIBS	=	-lcrypt -ldl -lsocket -lnsl -lresolv
! #LINK	=	-Wl,-s
! LINK	=
  
  OBJS	=	main.o utility.o prelogin.o ftpcmdio.o postlogin.o privsock.o \
  		tunables.o ftpdataio.o secbuf.o ls.o \
***************
*** 24,44 ****
  	$(CC) -o vsftpd $(OBJS) $(LINK) $(LIBS) $(LDFLAGS)
  
  install:
! 	if [ -x /usr/local/sbin ]; then \
! 		$(INSTALL) -m 755 vsftpd /usr/local/sbin/vsftpd; \
  	else \
! 		$(INSTALL) -m 755 vsftpd /usr/sbin/vsftpd; fi
! 	if [ -x /usr/local/man ]; then \
! 		$(INSTALL) -m 644 vsftpd.8 /usr/local/man/man8/vsftpd.8; \
! 		$(INSTALL) -m 644 vsftpd.conf.5 /usr/local/man/man5/vsftpd.conf.5; \
! 	elif [ -x /usr/share/man ]; then \
! 		$(INSTALL) -m 644 vsftpd.8 /usr/share/man/man8/vsftpd.8; \
! 		$(INSTALL) -m 644 vsftpd.conf.5 /usr/share/man/man5/vsftpd.conf.5; \
  	else \
! 		$(INSTALL) -m 644 vsftpd.8 /usr/man/man8/vsftpd.8; \
! 		$(INSTALL) -m 644 vsftpd.conf.5 /usr/man/man5/vsftpd.conf.5; fi
! 	if [ -x /etc/xinetd.d ]; then \
! 		$(INSTALL) -m 644 xinetd.d/vsftpd /etc/xinetd.d/vsftpd; fi
  
  clean:
  	rm -f *.o *.swp vsftpd
--- 29,53 ----
  	$(CC) -o vsftpd $(OBJS) $(LINK) $(LIBS) $(LDFLAGS)
  
  install:
! 	[ -d $(DESTDIR)/usr/sbin ] || mkdir -p $(DESTDIR)/usr/sbin
! 	if [ -x $(DESTDIR)/usr/sbin ]; then \
! 		$(INSTALL) -m 755 vsftpd $(DESTDIR)/usr/sbin/vsftpd; \
  	else \
! 		$(INSTALL) -m 755 vsftpd $(DESTDIR)/usr/sbin/vsftpd; fi
! 	[ -d $(DESTDIR)/usr/man/man8 ] || mkdir -p $(DESTDIR)/usr/man/man8
! 	[ -d $(DESTDIR)/usr/man/man5 ] || mkdir -p $(DESTDIR)/usr/man/man5
! 	if [ -x $(DESTDIR)/usr/man ]; then \
! 		$(INSTALL) -m 644 vsftpd.8 $(DESTDIR)/usr/man/man8/vsftpd.8; \
! 		$(INSTALL) -m 644 vsftpd.conf.5 $(DESTDIR)/usr/man/man5/vsftpd.conf.5; \
! 	elif [ -x $(DESTDIR)/usr/share/man ]; then \
! 		$(INSTALL) -m 644 vsftpd.8 $(DESTDIR)/usr/share/man/man8/vsftpd.8; \
! 		$(INSTALL) -m 644 vsftpd.conf.5 $(DESTDIR)/usr/share/man/man5/vsftpd.conf.5; \
  	else \
! 		$(INSTALL) -m 644 vsftpd.8 $(DESTDIR)/usr/man/man8/vsftpd.8; \
! 		$(INSTALL) -m 644 vsftpd.conf.5 $(DESTDIR)/usr/man/man5/vsftpd.conf.5; fi
! 	[ -d $(DESTDIR)/etc/init.d ] || mkdir -p $(DESTDIR)/etc/init.d
! 	if [ -x /etc/init.d ]; then \
! 		$(INSTALL) -m 644 xinetd.d/vsftpd /etc/init.d/vsftpd; fi
  
  clean:
  	rm -f *.o *.swp vsftpd
*** ./sysutil.c.00	Mon Jul  3 09:26:40 2006
--- ./sysutil.c	Sat Dec  9 13:59:47 2006
***************
*** 2564,2570 ****
--- 2564,2574 ----
    ts.tv_nsec = (long) (fractional * (double) 1000000000);
    do
    {
+ #ifdef __USLC__
+     retval = usleep(ts.tv_nsec / 100000);
+ #else
      retval = nanosleep(&ts, &ts);
+ #endif
      saved_errno = errno;
      vsf_sysutil_check_pending_actions(kVSFSysUtilUnknown, 0, 0);
    } while (retval == -1 && saved_errno == EINTR);
*** ./sysdeputil.c.00	Sun Jul  2 15:14:10 2006
--- ./sysdeputil.c	Sat Dec  9 13:41:42 2006
***************
*** 114,119 ****
--- 114,123 ----
    #undef VSF_SYSDEP_HAVE_LIBCAP
  #endif
  
+ #ifdef __USLC__
+   #undef VSF_SYSDEP_HAVE_USERSHELL
+ #endif
+ 
  #ifdef _AIX
    #undef VSF_SYSDEP_HAVE_USERSHELL
    #undef VSF_SYSDEP_HAVE_LIBCAP
*** ./Install-OSR6.00	Sat Dec  9 18:23:25 2006
--- ./Install-OSR6	Sat Dec  9 18:23:35 2006
***************
*** 0 ****
--- 1,7 ----
+ #!/bin/sh
+ 
+ D=/u/tmp/vsftpd
+ 
+ [ -d $D ] && rm -rf $D
+ mkdir -p $D
+ make install DESTDIR=$D 2>&1 | tee mout-install
